aboutsummaryrefslogtreecommitdiffstats
path: root/docker/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docker/startup.sh')
-rw-r--r--docker/startup.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/docker/startup.sh b/docker/startup.sh
new file mode 100644
index 0000000..4f363da
--- /dev/null
+++ b/docker/startup.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#set -x
+
+# Run chef-solo for configuration
+cd /var/opt/dcae-dt/chef-solo
+chef-solo -c solo.rb -E ${ENVNAME} --log_level "debug" --logfile "/opt/logs/dcae-dt/chef-dcae-dt.log"
+
+status=$?
+if [ $status != 0 ]; then
+ echo "[ERROR] Problem detected while running chef. Aborting !"
+ exit 1
+fi
+
+# Execute Jetty
+cd /var/lib/jetty
+/docker-entrypoint.sh &
+
+while true; do sleep 2; done
+